function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : String(i); }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
import React from 'react';
import { withWrap } from "../../utils/hoc";
import { Card, Flex } from 'antd';
import classNames from 'classnames';
import "./index.less";
var CardPro = function CardPro(props) {
  var headTitle = props.headTitle,
    headSubTitle = props.headSubTitle,
    _props$isShowFooter = props.isShowFooter,
    isShowFooter = _props$isShowFooter === void 0 ? true : _props$isShowFooter,
    contentHeight = props.contentHeight,
    children = props.children,
    _props$actionButtons = props.actionButtons,
    actionButtons = _props$actionButtons === void 0 ? [] : _props$actionButtons,
    _props$buttonPosition = props.buttonPosition,
    buttonPosition = _props$buttonPosition === void 0 ? 'center' : _props$buttonPosition,
    cover = props.cover,
    extra = props.extra,
    isShowHead = props.isShowHead,
    className = props.className,
    coverHeight = props.coverHeight,
    badge = props.badge,
    style = props.style;
  return /*#__PURE__*/React.createElement(Card, {
    title: null,
    style: _objectSpread({
      padding: 0
    }, style),
    className: classNames('pisell-cardPro-wrap', className, cover && 'pisell-cardPro-wrap-with-cover')
  }, !!cover && /*#__PURE__*/React.createElement("div", {
    className: classNames('pisell-cardPro-cover'),
    style: {
      height: coverHeight
    }
  }, cover, /*#__PURE__*/React.createElement("div", {
    className: classNames('pisell-cardPro-badge')
  }, badge)), isShowHead && /*#__PURE__*/React.createElement(Flex, {
    className: classNames('pisell-cardPro-head'),
    justify: "space-between"
  }, /*#__PURE__*/React.createElement(Flex, {
    style: {
      flex: 1
    },
    vertical: true,
    gap: "middle"
  }, /*#__PURE__*/React.createElement("div", {
    className: classNames('pisell-cardPro-head-title')
  }, headTitle), /*#__PURE__*/React.createElement("div", {
    className: classNames('pisell-cardPro-head-subTitle')
  }, headSubTitle)), /*#__PURE__*/React.createElement("div", {
    className: classNames('pisell-cardPro-head-extra')
  }, extra)), /*#__PURE__*/React.createElement(Flex, {
    style: {
      height: contentHeight
    },
    className: classNames('pisell-cardPro-content')
  }, children), isShowFooter && /*#__PURE__*/React.createElement(Flex, {
    gap: 20,
    justify: buttonPosition,
    style: {
      marginTop: 20
    }
  }, actionButtons.map(function (item, index) {
    return item.button;
  })));
};
export default withWrap(CardPro);